Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HeapRecordId Constructor
HeapRecordId Class See Also Send Feedback

Construct a new record id, given a page number and index.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public HeapRecordId(
    	uint pgno,
    	ushort indx
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	pgno As UInteger, _
    	indx As UShort _
    )

Visual C++
    public:
    HeapRecordId(
    	unsigned int pgno,
    	unsigned short indx
    )

#### Parameters

pgno
  Type: System..::.UInt32
  The database page number where the record is stored.

indx
  Type: System..::.UInt16
  Index in the offset table where the record can be found.

# See Also

HeapRecordId Class
BerkeleyDB Namespace